Bug 557107 - RFE: Auto poolify added storage so everything is managed
RFE: Auto poolify added storage so everything is managed
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Cole Robinson
:
: 478407 571854 582507 598175 640825 746188 773570 801813 1030599 1062783 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-20 07:56 EST by Valent Turkovic
Modified: 2014-02-08 19:29 EST (History)
24 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-08 19:29:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Valent Turkovic 2010-01-20 07:56:27 EST
Description of problem:
After reporting bug: https://bugzilla.redhat.com/show_bug.cgi?id=556134 and
discussing I saw as a new user to virt-manager some issues that more seasoned
users probably don't notice and take for granted.

Please make some UI in window of storage manager more intuitive (loot at screenshot provided for reference). I'm not expert at UI design to give you exact suggestion on how to change it, but I as a user see it as an issue.

UI is designed for more experienced users who know the inner working of virt-manager and other components. I've used desktop virtualization apps like WMWare and VirualBox for over 10 years and most users are more familiar with them than with virt-manager. For me the obstacle were "storage pools" and how to create new image in any directory I wanted. It was't clear from UI that there first needs to be defined a new storage pool that is in /home directory.

If anything can be done in UI to make this work better for other users who will also stumble upon this issue it would be easier to use virt-manager as desktop virtualization tool on Fedora.

Cheers!

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Cole Robinson 2010-05-10 16:02:04 EDT
Yeah, the storage UI is needlessly complex. I think one way to simplify it will be to enhance the 'New Volume' wizard to optionally take a full path to the desired image. If the parent directory isn't a storage pool, we just silently pool-ify it. This should make the storage management fairly invisible for people who don't have any real need to mess with the nitty gritty details.
Comment 2 Cole Robinson 2010-05-10 16:30:21 EDT
*** Bug 571854 has been marked as a duplicate of this bug. ***
Comment 3 Cole Robinson 2010-05-27 17:59:54 EDT
This work probably won't be backported to F12 (when it's even completed), so moving to F13.
Comment 4 Bug Zapper 2011-06-02 12:49:10 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Cole Robinson 2011-06-10 12:59:06 EDT
Moving to rawhide
Comment 6 Cole Robinson 2012-01-25 16:40:27 EST
*** Bug 478407 has been marked as a duplicate of this bug. ***
Comment 7 Cole Robinson 2012-01-31 11:24:33 EST
*** Bug 773570 has been marked as a duplicate of this bug. ***
Comment 8 Cole Robinson 2012-02-07 17:20:38 EST
*** Bug 746188 has been marked as a duplicate of this bug. ***
Comment 9 Cole Robinson 2012-02-07 17:26:56 EST
*** Bug 640825 has been marked as a duplicate of this bug. ***
Comment 10 Cole Robinson 2012-02-07 17:28:53 EST
*** Bug 582507 has been marked as a duplicate of this bug. ***
Comment 11 Cole Robinson 2012-02-07 17:29:51 EST
*** Bug 598175 has been marked as a duplicate of this bug. ***
Comment 12 Cole Robinson 2012-02-10 15:40:09 EST
I've changed this bug to track auto-poolifying storage in virt-manager: whenever the user passes in an arbitrary path, we will use libvirt's storage APIs to introspect data about the storage, such as format type, size, and permissions.
Comment 13 Cole Robinson 2013-10-01 17:47:00 EDT
*** Bug 801813 has been marked as a duplicate of this bug. ***
Comment 14 Cole Robinson 2014-01-17 19:40:53 EST
*** Bug 1030599 has been marked as a duplicate of this bug. ***
Comment 15 Cole Robinson 2014-02-07 20:35:29 EST
*** Bug 1062783 has been marked as a duplicate of this bug. ***
Comment 16 Cole Robinson 2014-02-08 19:29:14 EST
Upstream now will auto-inspect a path with libvirt's storage APIs. So there's no need to go and create a manual pool or storage volume, just give virt-manager a path and a disk size and it will do the right thing.

This might mean we should reorganize the UI a bit to make that more clear, but it needs some testing first to see what might need to be changed. Any additional work will be tracked in separate bugs.

Note You need to log in before you can comment on or make changes to this bug.